<html>

<head>
    <script src="js/jquery-3.5.1.js"></script>
    <script src="js/app.js"></script>
    <link rel="stylesheet" href="css/miestilo.css">
    <script>
        function hagoClick(event) {
            console.log(event)
        }
        $(function () {
            //on recibe 2 parametros
            //el primero es un string con el nombre del evento ex: click
            //el segundo es una funcion que tiene como primer parametro el evento
            //$("#boton").on("click", function(event) {
            //    console.log(event.target);
            //});
            //$("#boton").on("click", hagoClick);

            $("#boton").on("click", function (event) {
                $(".division").toggle(500);
            });

            $(".division").on("click",function() {
                let midato = $(this).data("hola");
                alert(midato);
            })
            //para llamar a una funciona hacemos lo siguiente
            //hagoClick();
            //para asignar una funcion hacemos lo siguiente
            //let miFuncion = hagoClick;
            //para ejecutar la funcion recien asignada ahcemos lo siguiente
            //miFuncion();
        });
    </script>
</head>

<body>
    <h1>Hola Mundo</h1>
    <button id="boton" value="mi valor">Hola</button>
    <div class="division" data-hola="hola mundo data">

    </div>
</body>

</html>